const getDefaultState = () => {
  return {
    init: 0,
    map: null,
    platforms: null,
    radarInstances: null,
    thaadInstances: null,
    jamInstances: null,
    radarParams: null,
    thaadParams: null,
    jamParams: null,
    platformShow: false,
    platformID: null,
    leadPost: null,
    airLine: {
      TargetArea:1,
      radius: 300000
    },
    taskPlan: null
  }
}

const state = getDefaultState()

const mutations = {

  setInit(state, init) {
    state.init = init
  },
  setMap(state, map) {
    state.map = map
  },
  setPlatforms(state, platforms) {
    state.platforms = platforms
  },
  setRadarInstances(state, radarInstances) {
    state.radarInstances = radarInstances
  },
  setThaadInstances(state, thaadInstances) {
    state.thaadInstances = thaadInstances
  },
  setJamInstances(state, jamInstances) {
    state.jamInstances = jamInstances
  },
  setRadarParams(state, radarParams) {
    state.radarParams = radarParams
  },
  setThaadParams(state, thaadParams) {
    state.thaadParams = thaadParams
  },
  setJamParams(state, jamParams) {
    state.jamParams = jamParams
  },
  setPlatformShow(state, platformShow) {
    state.platformShow = platformShow
  },
  setPlatformID(state, platformID) {
    state.platformID = platformID
  },
  setLeadPost(state, leadPost) {
    state.leadPost = leadPost
  },
  setAirLine(state, airLine) {
    state.airLine = airLine
  },
  setTaskPlan(state, taskPlan) {
    state.taskPlan = taskPlan
  }
}

const actions = {



}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
